org.eclnt.jsfserver.elements.componentnodes

## Class HTIMAGENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTIMAGENode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTIMAGENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTIMAGENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTIMAGENode` | `bindActionListener(IActionListenerDelegation value)`
    `HTIMAGENode` | `bindComment(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindHeight(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindImage(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindInvokeevent(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindValign(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTIMAGENode` | `setActionListener(java.lang.String value)`
    `HTIMAGENode` | `setAttributemacro(java.lang.String value)`
    `HTIMAGENode` | `setComment(java.lang.String value)`
    `HTIMAGENode` | `setConfiginfo(java.lang.String value)`
    `HTIMAGENode` | `setHeight(int value)`
    `HTIMAGENode` | `setHeight(java.lang.String value)`
    `HTIMAGENode` | `setId(java.lang.String value)`
    `HTIMAGENode` | `setImage(java.lang.String value)`
    `HTIMAGENode` | `setInvokeevent(java.lang.String value)`
    `HTIMAGENode` | `setReference(java.lang.String value)`
    `HTIMAGENode` | `setRendered(boolean value)`
    `HTIMAGENode` | `setRendered(java.lang.String value)`
    `HTIMAGENode` | `setStyle(java.lang.String value)`
    `HTIMAGENode` | `setStyleClass(java.lang.String value)`
    `HTIMAGENode` | `setStylevariant(java.lang.String value)`
    `HTIMAGENode` | `setValign(java.lang.String value)`
    `HTIMAGENode` | `setWidth(int value)`
    `HTIMAGENode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTIMAGENode

          public HTIMAGENode()

  - ### Method Detail

    - #### setId

          public HTIMAGENode setId(java.lang.String value)

    - #### setActionListener

          public HTIMAGENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public HTIMAGENode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public HTIMAGENode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTIMAGENode setComment(java.lang.String value)

    - #### bindComment

          public HTIMAGENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTIMAGENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTIMAGENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public HTIMAGENode setHeight(java.lang.String value)

    - #### bindHeight

          public HTIMAGENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HTIMAGENode setHeight(int value)

    - #### setImage

          public HTIMAGENode setImage(java.lang.String value)

    - #### bindImage

          public HTIMAGENode bindImage(IDynamicContentBindingObject value)

    - #### setInvokeevent

          public HTIMAGENode setInvokeevent(java.lang.String value)

    - #### bindInvokeevent

          public HTIMAGENode bindInvokeevent(IDynamicContentBindingObject value)

    - #### setReference

          public HTIMAGENode setReference(java.lang.String value)

    - #### setRendered

          public HTIMAGENode setRendered(java.lang.String value)

    - #### bindRendered

          public HTIMAGENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTIMAGENode setRendered(boolean value)

    - #### setStyle

          public HTIMAGENode setStyle(java.lang.String value)

    - #### bindStyle

          public HTIMAGENode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTIMAGENode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTIMAGENode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTIMAGENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTIMAGENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValign

          public HTIMAGENode setValign(java.lang.String value)

    - #### bindValign

          public HTIMAGENode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public HTIMAGENode setWidth(java.lang.String value)

    - #### bindWidth

          public HTIMAGENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTIMAGENode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.